---
title: Video content on MDN
slug: MDN/Guidelines/Video
tags:
  - Guidelines
  - Meta
  - Video
---
<div>{{MDNSidebar}}</div>

<p class="summary">MDN Web Docs is not a very video-heavy site, but there are certain places where video content makes sense to use as part of an article. <span class="seoSummary">This article discusses when including videos in MDN articles is appropriate, and provides tips on how to create simple but effective videos on a budget.</span></p>

<h2 id="When_to_use_video_on_MDN">When to use video on MDN</h2>

<p>There are several arguments against using video content for technical documentation, particularly reference material and advanced level guides:</p>

<ul>
 <li>
  <p>Video is linear. People don’t tend to read online documentation in a linear fashion, starting at the start and reading through to the end. <a href="http://www.sensible.com/chapter.html">They scan</a>. Video is really hard to scan — it forces the user to consume the content start-to-finish.</p>
 </li>
 <li>
  <p>Video is less information-dense than text. It takes longer to consume a video explaining something than it does to read the equivalent instructions.</p>
 </li>
 <li>
  <p>Video is big in terms of file size, and therefore more expensive and less performant than text.</p>
 </li>
 <li>
  <p>Video has accessibility problems: it’s more expensive to produce generally than text,  but especially to localize, or make usable by screen reader users.</p>
 </li>
 <li>
  <p>Following on from the last point, video is much harder to edit/update/maintain than text content.</p>
 </li>
</ul>

<div class="note">
<p><strong>Note</strong>: It’s worth keeping these problems in mind, even when you are making videos, so you can try to alleviate some of them.</p>
</div>

<p>There are many popular video sites that provide a lot of video tutorials. MDN just isn't a video-driven site. But video does have a place on MDN, in certain contexts.</p>

<p>We tend to most commonly use video when describing some kind of instruction sequence or multi-step workflow that would be hard to describe concisely in words: <em>"do this, then do that, then this will happen"</em>. It is especially useful when trying to describe processes that cross over multiple applications or windows, and include GUI interactions that might not be simple to describe: <em>"now click on the button near the top-left that looks a bit like a duck"</em>.</p>

<p>In such cases it is often more effective to just <strong>show</strong> what you mean. We most commonly use videos when explaining features of the <a href="/en-US/docs/Tools">Firefox DevTools</a>.</p>

<h2 id="What_should_MDN_videos_look_like">What should MDN videos look like?</h2>

<p>Videos for MDN should be:</p>

<ul>
 <li>
  <p><strong>Short</strong>: Try to keep videos under 30 seconds, ideally under 20 seconds. This is short enough not to make big demands on peoples’ attention spans.</p>
 </li>
 <li>
  <p><strong>Simple</strong>: Try to make the workflow simple, 2-4 distinct pieces. This makes them easier to follow.</p>
 </li>
 <li>
  <p><strong>Silent</strong>: Audio makes videos much more engaging, but they are much more time-consuming to make. Also, having to explain what you’re doing makes the videos much longer, and adds to the costs (both financial and in terms of time) of localization.</p>
 </li>
</ul>

<p>To explain something more complex, you can use a blend of short videos and screenshots, interspersed with text. The text can help reinforce the points made in the video, and the user can rely on the text or the video as they choose. See <a href="/en-US/docs/Tools/Page_Inspector/How_to/Work_with_animations#Animation_inspector">Working with the Animation Inspector</a> for a good example.</p>

<p>In addition, you should consider the following tips:</p>

<ul>
 <li>The video will end up being uploaded to YouTube before embedding. We'd recommend a 16:9 aspect ratio for this use, so that it fills up the entire viewing frame and you don't end up with ugly black bars on the top and bottom (or left and right) of your video. So for example, you might choose a resolution of 1024×576, 1152×648, or 1280×720.</li>
 <li>Record the video in HD, so that it looks better when uploaded.</li>
 <li>For DevTools videos, it is often a good idea to choose a contrasting theme to the page content, for example choose the dark theme if the example webpage is light-themed. It is easier to see what is going on, and where the DevTools start and the page ends.</li>
 <li>For DevTools videos, zoom in the DevTools as much as you can while still showing everything you want to show and making it look OK.</li>
 <li>Make sure the thing you are trying to demonstrate isn't covered up by the mouse cursor.</li>
 <li>Consider whether or not it would be useful to configure the screen recording tool to add a visual indicator of mouse clicks.</li>
</ul>

<h2 id="Video_tools">Video tools</h2>

<p>You'll need some kind of a tool for recording the video. These range from free to expensive, and simple to complex. If you are already experienced in creating video content, then great. If not, then we'd recommend that you start with a simple tool and then work up to something more complex if you start to enjoy creating video and want to create more interesting productions.</p>

<p>The following table provides some recommendations for good starter tools.</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Tool</th>
   <th scope="col">OS</th>
   <th scope="col">Cost</th>
   <th scope="col">Post-production features available?</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>Open Broadcaster Software</td>
   <td>macOS, Windows, Linux</td>
   <td>Free</td>
   <td>Yes</td>
  </tr>
  <tr>
   <td>CamStudio</td>
   <td>Windows</td>
   <td>Free</td>
   <td>Limited</td>
  </tr>
  <tr>
   <td>Camtasia</td>
   <td>Windows, macOS</td>
   <td>High</td>
   <td>Yes</td>
  </tr>
  <tr>
   <td>QuickTime Player</td>
   <td>macOS</td>
   <td>Free</td>
   <td>No, just allows simple recording</td>
  </tr>
  <tr>
   <td>ScreenFlow</td>
   <td>macOS</td>
   <td>Medium</td>
   <td>Yes</td>
  </tr>
  <tr>
   <td>Kazam</td>
   <td>Linux</td>
   <td>Free</td>
   <td>Minimal</td>
  </tr>
 </tbody>
</table>

<h3 id="QuickTime_tips">QuickTime tips</h3>

<p>If you are using macOS, you should have QuickTime Player available. This actually provides pretty easy simple recording facilities too:</p>

<ol>
 <li>Choose <em>File</em> &gt; <em>New Screen Recording</em> from the main menu.</li>
 <li>In the <em>Screen Recording</em> box, hit the record button (the red round button).</li>
 <li>Drag a rectangle round the area of the screen you want to record.</li>
 <li>Press the <em>Start Recording</em> button.</li>
 <li>Perform whatever actions you want to record.</li>
 <li>Press the <em>Stop</em> button.</li>
 <li>Choose <em>File</em> &gt; <em>Export As...</em> &gt; <em>1080p</em> from the main menu to save as hi definition.</li>
</ol>

<h3 id="Other_resources">Other resources</h3>

<ul>
 <li><a href="https://photography.tutsplus.com/tutorials/how-to-add-custom-callouts-to-screencast-videos-in-screenflow--cms-27122">How to Add Custom Callouts to Screencast Videos in Screenflow</a></li>
</ul>

<h2 id="A_workflow_for_creating_videos">A workflow for creating videos</h2>

<p>the following subsections describe the general steps you'd want to follow to create a video and get it shown on an MDN page.</p>

<h3 id="Preparation">Preparation</h3>

<p>First, plan the flow you want to capture: consider the best points to start and end.</p>

<p>Make sure the desktop background and your browser profile are clean. Plan the size and positioning of browser windows, especially if you will be using multiple windows.</p>

<p>Plan carefully what you are actually going to record, and practice the steps a few times before recording them:</p>

<ul>
 <li>
  <p>Don't start a video in the middle of a process — consider whether the viewer has enough context for your actions to make sense to them. In a short DevTools video for example, it is a good idea to start by opening the DevTools to allow the viewer to get oriented.</p>
 </li>
 <li>
  <p>Consider what your actions are, slow down, and make them obvious. Whenever you have to perform an action (say, click an icon), take it slow and make it obvious, so for example:</p>

  <ul>
   <li>
    <p>Move the mouse over the icon</p>
   </li>
   <li>
    <p>Highlight or zoom (not always, depending on whether it feels needed)</p>
   </li>
   <li>
    <p>Pause for a beat</p>
   </li>
   <li>
    <p>Click the icon</p>
   </li>
  </ul>
 </li>
 <li>Plan zoom levels for the parts of the UI that you’re going to show. Not everyone will be able to view your video in high definition. You will be able to zoom particular parts in post-production, but it’s a good idea to zoom the app beforehand as well.</li>
</ul>

<div class="note">
<p><strong>Note</strong>: Don’t zoom so far that the UIs you are showing start to look unfamiliar or ugly.</p>
</div>

<h3 id="Recording">Recording</h3>

<p>When recording the workflow you want to show, go through the flow smoothly and steadily. Pause for a second or two when you are at key moments — for example, about to click on a button. Make sure the mouse pointer doesn’t obscure any icons or text that are important to what you are trying to demonstrate.</p>

<p>Remember to pause for a second or two at the end, to show the result of the flow.</p>

<div class="note">
<p><strong>Note</strong>: If you are using a really simple tool like QuickTime Player and post production is not an option for some reason, you should get your windows set up in the right size to show the area you want to show. In the Firefox DevTools, you can use the <a href="/en-US/docs/Tools/Rulers">Rulers Tool</a> to make sure the viewport is at the right aspect ratio for the recording.</p>
</div>

<h3 id="Post-production">Post-production</h3>

<p>You’ll be able to highlight key moments in post-production. A highlight can consist of a couple of things, which you’ll often combine:</p>

<ul>
 <li>Zoom in on parts of the screen.</li>
 <li>Fade the background.</li>
</ul>

<p>Highlight key moments of the workflow, especially where the detail is hard to see: clicking on a particular icon or entering a particular URL, for example. Aim for the highlight to last for 1-2 seconds. It’s a good idea to add a short transition (200-300 milliseconds) at the starts and ends of the highlights.</p>

<p>Use some restraint here: don’t make the video a constant procession of zooming in and out, or viewers will get seasick.</p>

<p>Crop the video to the desired aspect ratio, if required.</p>

<h3 id="Uploading">Uploading</h3>

<p>Videos currently have to be uploaded to YouTube to be displayed on MDN, for example the <a href="https://www.youtube.com/user/mozhacks/videos">mozhacks</a> channel. Ask a member of MDN staff to upload the video if you don't have somewhere appropriate to put it.</p>

<div class="note">
<p><strong>Note</strong>: Mark the video as "unlisted" if it doesn’t make sense out of the context of the page (if it’s a short video, then it probably doesn't).</p>
</div>

<h3 id="Embedding">Embedding</h3>

<p>Once uploaded, you can embed the video in the page using the {{TemplateLink("EmbedYouTube")}} macro. This is used by inserting the following in your page at the position you want the video to appear:</p>

<p>\{{EmbedYouTube("you-tube-url-slug")}}</p>

<p>The single property taken by the macro call is the string of characters at the end of the video URL, not the whole URL. For example, the video embedded in our <a href="/en-US/docs/Tools/Page_Inspector/3-pane_mode">Page inspector 3-pane mode</a> article is available at https://www.youtube.com/watch?v=ELS2OOUvxIw, so the required macro call looks like this:</p>

<p>\{{EmbedYouTube("ELS2OOUvxIw")}}</p>
